Regenerate the project API key
import requests
url = "https://app.langwatch.ai/api/v1/projects/{id}/regenerate-api-key"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/v1/projects/{id}/regenerate-api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://app.langwatch.ai/api/v1/projects/{id}/regenerate-api-key \
--header 'Authorization: Bearer <token>'{
"apiKey": "<string>"
}This response has no body data.This response has no body data.Projects
Regenerate project API key
Deprecated. Project base keys can be rotated only by a signed-in project administrator in the browser. Organization API keys are always refused with 403.
POST
/
api
/
v1
/
projects
/
{id}
/
regenerate-api-key
Regenerate the project API key
import requests
url = "https://app.langwatch.ai/api/v1/projects/{id}/regenerate-api-key"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/v1/projects/{id}/regenerate-api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://app.langwatch.ai/api/v1/projects/{id}/regenerate-api-key \
--header 'Authorization: Bearer <token>'{
"apiKey": "<string>"
}This response has no body data.This response has no body data.Authorizations
Admin API key for organization-level operations (managing projects, API keys). Create one in Settings > API Keys or via POST /api/api-keys. Format: sk-lw-{id}_{secret}.
Path Parameters
Minimum string length:
1Response
Success
Minimum string length:
1Last modified on October 13, 2026
Was this page helpful?